Package org.eclipse.m2m.atl.adt.ui.editor.formatter

# Class AtlCodeFormatterPreferences

java.lang.Object
org.eclipse.m2m.atl.adt.ui.editor.formatter.AtlCodeFormatterPreferences

public class AtlCodeFormatterPreferences extends Object
ATL code formatter preferences.

## Constructor Summary

Constructors
Constructor
Description
`AtlCodeFormatterPreferences()`
`AtlCodeFormatterPreferences(Map<String,String> options)`
`AtlCodeFormatterPreferences(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAfterOperator(int indentation)`
`String`
`getBeforeOperator(int indentation)`
`String`
`getBindingArrow()`
`String`
`getCallingArrow()`
`static String`
`getChars(int n, char character)`
`String`
`getClosingBracket()`
`String`
`getClosingCollectionBrace()`
`String`
`getColon()`
`String`
`getComa()`
`static Map<String,String>`
`getDefaultOptions()`
`String`
`getEndingComa(int tab)`
`String`
`getEndingEqual()`
`String`
`getEndingSemicolon()`
`String`
`getEqual()`
`String`
`getExclamation()`
`int`
`getLineMaxLength()`
`String`
`getLinesAfterCreateFrom()`
`String`
`getLinesAfterModule()`
`String`
`getLinesAfterSpecialTags()`
`String`
`getLinesSpaces()`
`String`
`getOpeningBracket()`
`String`
`getOpeningCollectionBrace()`
`static Map<String,String>`
`getOptions(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
`String`
`getPipe()`
`String`
`getPoint()`
`String`
`getRuleBrace(int indentation)`
`String`
`getSemicolon()`
`String`
`getSpacesAfterComment()`
`int`
`getTabSpaces()`
`boolean`
`isCutAfterPoint()`
`void`
`retrievePreferences(Map<String,String> options)`
Retrieves the preferences from an option map.
`void`
`retrievePreferences(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Retrieves the preferences from a preference store.
`void`
`setSpacesInsideCollectionBrace(int spacesInsideCollectionBrace)`
`void`
`setSpacesOutsideCollectionBrace(int spacesOutsideCollectionBrace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlCodeFormatterPreferences

public AtlCodeFormatterPreferences()

### AtlCodeFormatterPreferences

public AtlCodeFormatterPreferences(org.eclipse.jface.preference.IPreferenceStore preferenceStore)

### AtlCodeFormatterPreferences

public AtlCodeFormatterPreferences(Map<String,String> options)

## Method Details

### retrievePreferences

public void retrievePreferences(org.eclipse.jface.preference.IPreferenceStore preferenceStore)
Retrieves the preferences from a preference store.

Parameters:
  `preferenceStore` - the preference store

### retrievePreferences

public void retrievePreferences(Map<String,String> options)
Retrieves the preferences from an option map.

Parameters:
  `options` - the options map

### getOptions

public static Map<String,String> getOptions(org.eclipse.jface.preference.IPreferenceStore preferenceStore)

### getDefaultOptions

public static Map<String,String> getDefaultOptions()

### getChars

public static String getChars(int n, char character)

### getLineMaxLength

public int getLineMaxLength()

### getTabSpaces

public int getTabSpaces()

### getLinesSpaces

public String getLinesSpaces()

### getOpeningBracket

public String getOpeningBracket()

### getClosingBracket

public String getClosingBracket()

### getBindingArrow

public String getBindingArrow()

### getCallingArrow

public String getCallingArrow()

### getSemicolon

public String getSemicolon()

### getComa

public String getComa()

### getEndingComa

public String getEndingComa(int tab)

### getColon

public String getColon()

### getPoint

public String getPoint()

### getEqual

public String getEqual()

### getEndingEqual

public String getEndingEqual()

### getPipe

public String getPipe()

### getExclamation

public String getExclamation()

### getEndingSemicolon

public String getEndingSemicolon()

### getSpacesAfterComment

public String getSpacesAfterComment()

### getOpeningCollectionBrace

public String getOpeningCollectionBrace()

### getClosingCollectionBrace

public String getClosingCollectionBrace()

### getRuleBrace

public String getRuleBrace(int indentation)

### getBeforeOperator

public String getBeforeOperator(int indentation)

### getAfterOperator

public String getAfterOperator(int indentation)

### getLinesAfterModule

public String getLinesAfterModule()

### getLinesAfterCreateFrom

public String getLinesAfterCreateFrom()

### getLinesAfterSpecialTags

public String getLinesAfterSpecialTags()

### isCutAfterPoint

public boolean isCutAfterPoint()

### setSpacesOutsideCollectionBrace

public void setSpacesOutsideCollectionBrace(int spacesOutsideCollectionBrace)

### setSpacesInsideCollectionBrace

public void setSpacesInsideCollectionBrace(int spacesInsideCollectionBrace)